## advanced-power-monitor 0.5.3-2

=== debian/changelog ===
advanced-power-monitor (0.5.3-2) stable; urgency=low

  - Initial Fremantle Release


 -- Kirill Playashkevich <ru.spirit@gmail.com>  Tue, 24 Aug 2010 23:50:40 +0000
