## advanced-power-monitor 0.5.3-3

=== debian/changelog ===
advanced-power-monitor (0.5.3-3) stable; urgency=low

  - Initial Fremantle Release


 -- Kirill Playashkevich <ru.spirit@gmail.com>  Wed, 25 Aug 2010 00:15:22 +0000
