=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: advanced-power-monitor
 XB-Maemo-Display-Name: Advanced Power Monitor
 Architecture: all
-Depends: advanced-power-common (>= 0.4.2-1), python2.5, python-gobject, python-dbus
+Depends: advanced-power-common (>= 0.4.2-2), python2.5, python-gobject, python-dbus
 Suggests: 
 Description: Daemon providing information via D-Bus about system.
  This application can only be executed from the command line.
