## advanced-power-monitor 0.5.3-5

=== debian/changelog ===
advanced-power-monitor (0.5.3-5) stable; urgency=low

  - Minor bugfixes


 -- Kirill Playashkevich <ru.spirit@gmail.com>  Wed, 08 Jun 2011 23:08:00 +0000
