=== debian/rules ===
--- 
+++ 
@@ -63,13 +63,21 @@
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/"
 	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/OSVersion_Maemo.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/OSVersion_Maemo.py"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/OSVersion_Maemo.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/OSVersion_Maemo.pyc"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/"
 	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/OSVersion_Mer.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/OSVersion_Mer.py"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/OSVersion_Mer.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/OSVersion_Mer.pyc"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/"
 	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/__init__.py"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/__init__.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/__init__.pyc"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/etc/sudoers.d/"
 	cp -a "src/etc/sudoers.d/advanced-power-monitor.sudoers" "$(CURDIR)/debian/advanced-power-monitor/etc/sudoers.d/advanced-power-monitor.sudoers"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/"
 	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/AdvancedPowerMonitor.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/AdvancedPowerMonitor.py"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/AdvancedPowerMonitor.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/AdvancedPowerMonitor.pyc"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/"
 	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/__init__.py"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/"
@@ -77,25 +85,13 @@
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
 	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/AbstractBattery.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/AbstractBattery.py"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/AbstractBattery.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/AbstractBattery.pyc"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
 	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBME.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBME.py"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBME.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBME.pyc"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
 	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryDummy.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryDummy.py"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/__init__.py"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/etc/event.d/"
-	cp -a "src/etc/event.d/apmonitord" "$(CURDIR)/debian/advanced-power-monitor/etc/event.d/apmonitord"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/AbstractWrappers.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/AbstractWrappers.py"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/__init__.py"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/device_name/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/device_name/DeviceName.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/device_name/DeviceName.py"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/device_name/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/device_name/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/device_name/__init__.py"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/AbstractModules.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/AbstractModules.py"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/__init__.py"
-
-	# ======================================================
-
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryDummy.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryDummy.pyc"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
