## advanced-power-monitor 0.5.3-6

=== debian/changelog ===
advanced-power-monitor (0.5.3-6) stable; urgency=low

  - Minor bugfixes


 -- Kirill Playashkevich <ru.spirit@gmail.com>  Sun, 12 Jun 2011 00:36:13 +0000
