## advanced-power-monitor 0.5.3-7

=== debian/changelog ===
advanced-power-monitor (0.5.3-7) stable; urgency=low

  - Minor bugfixes


 -- Kirill Playashkevich <ru.spirit@gmail.com>  Tue, 14 Jun 2011 14:46:13 +0000
