## advanced-power-monitor 0.5.3-8

=== debian/changelog ===
advanced-power-monitor (0.5.3-8) stable; urgency=low

  - Minor bugfixes


 -- Kirill Playashkevich <ru.spirit@gmail.com>  Thu, 16 Jun 2011 01:28:12 +0000
