=== debian/rules ===
--- 
+++ 
@@ -50,16 +50,6 @@
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/advanced-power-monitor" install
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor"
 
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/AbstractDeviceMode.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/AbstractDeviceMode.py"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/DeviceModeDummy.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/DeviceModeDummy.py"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/DeviceModeMCE.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/DeviceModeMCE.py"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/DeviceModePowerlaunch.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/DeviceModePowerlaunch.py"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/device_mode/__init__.py"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/"
 	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/OSVersion_Maemo.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/OSVersion_Maemo.py"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/"
@@ -95,3 +85,15 @@
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
 	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryDummy.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryDummy.pyc"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/__init__.py"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/__init__.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/__init__.pyc"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/etc/event.d/"
+	cp -a "src/etc/event.d/apmonitord" "$(CURDIR)/debian/advanced-power-monitor/etc/event.d/apmonitord"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/AbstractWrappers.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/AbstractWrappers.py"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/AbstractWrappers.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/AbstractWrappers.pyc"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/__init__.py"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/"
