## advanced-power-monitor 0.6.0-1

=== debian/changelog ===
advanced-power-monitor (0.6.0-1) stable; urgency=low

  - Reworked version
  - Changed properties names
  - Added new D-Bus methods
  - Added new battery wrappers for bq27x00 module
  - Bugfixes and speedups


 -- Kirill Playashkevich <ru.spirit@gmail.com>  Sat, 30 Jul 2011 01:40:01 +0000
