=== debian/rules ===
--- 
+++ 
@@ -81,19 +81,17 @@
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
 	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBME.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBME.pyc"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBMEA.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBMEA.py"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBMEA.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBMEA.pyc"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBQ27200.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBQ27200.py"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBQ27200.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBQ27200.pyc"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBQ27200A.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBQ27200A.py"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
+	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBQ27200A.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBQ27200A.pyc"
+	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
 	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryDummy.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryDummy.py"
 	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryDummy.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryDummy.pyc"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/__init__.py"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/__init__.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/__init__.pyc"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/etc/event.d/"
-	cp -a "src/etc/event.d/apmonitord" "$(CURDIR)/debian/advanced-power-monitor/etc/event.d/apmonitord"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/AbstractWrappers.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/AbstractWrappers.py"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/AbstractWrappers.pyc" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/AbstractWrappers.pyc"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/"
-	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/__init__.py"
-	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/"
