## advanced-power-monitor 0.6.0-2

=== debian/changelog ===
advanced-power-monitor (0.6.0-2) stable; urgency=low

  - Reworked version
  - Changed properties names
  - Added new D-Bus methods
  - Added new battery wrappers for bq27x00 module
  - Bugfixes and speedups
  - Obsolete files cleanup


 -- Kirill Playashkevich <ru.spirit@gmail.com>  Tue, 02 Aug 2011 22:24:30 +0000
