## advanced-power-monitor 0.6.0-3

=== debian/changelog ===
advanced-power-monitor (0.6.0-3) stable; urgency=low

  - Reworked version
  - Changed properties names
  - Added new D-Bus methods
  - Added new battery wrappers for bq27x00 module
  - Fixed availability check for bq27x00
  - Obsolete files cleanup


 -- Kirill Playashkevich <ru.spirit@gmail.com>  Mon, 05 Sep 2011 23:51:49 +0000
