## advanced-power-monitor 0.6.0-4

=== debian/changelog ===
advanced-power-monitor (0.6.0-4) stable; urgency=low

  - Reworked version
  - Changed properties names
  - Added new D-Bus methods
  - Added new battery wrappers for bq27x00 module
  - Fixed availability check for bq27x00
  - Obsolete files cleanup


 -- Kirill Playashkevich <ru.spirit@gmail.com>  Wed, 14 Dec 2011 23:39:12 +0000
