## advanced-power-monitor 0.6.0-6

=== debian/changelog ===
advanced-power-monitor (0.6.0-6) stable; urgency=low

  - Reworked version
  - Changed properties names
  - Added new D-Bus methods
  - Added new battery wrappers for bq27x00 module
  - Fixed availability check for bq27x00
  - Obsolete files cleanup


 -- Kirill Playashkevich <ru.spirit@gmail.com>  Wed, 08 Aug 2012 01:08:00 +0000
