=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/advanced-power-monitor" install
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor"

	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/OSVersion_Maemo.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/OSVersion_Maemo.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/os_version/__init__.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/etc/sudoers.d/"
	cp -a "src/etc/sudoers.d/advanced-power-monitor.sudoers" "$(CURDIR)/debian/advanced-power-monitor/etc/sudoers.d/advanced-power-monitor.sudoers"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/AdvancedPowerMonitor.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/AdvancedPowerMonitor.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/__init__.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/apmdaemon.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/apmdaemon.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/AbstractBattery.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/AbstractBattery.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBME.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBME.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBMEA.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBMEA.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBQ27200.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBQ27200.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBQ27200A.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryBQ27200A.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryDummy.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/BatteryDummy.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/battery/__init__.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/etc/event.d/"
	cp -a "src/etc/event.d/apmonitord" "$(CURDIR)/debian/advanced-power-monitor/etc/event.d/apmonitord"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/AbstractWrappers.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/AbstractWrappers.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/wrappers/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/wrappers/__init__.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/device_name/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/device_name/DeviceName.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/device_name/DeviceName.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/device_name/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/device_name/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/device_name/__init__.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/AbstractModules.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/AbstractModules.py"
	mkdir -p "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/"
	cp -a "src/opt/maemo/usr/lib/advanced-power-monitor/modules/__init__.py" "$(CURDIR)/debian/advanced-power-monitor/opt/maemo/usr/lib/advanced-power-monitor/modules/__init__.py"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
